> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Payment Detail

GET https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/{paymentId}

Get payment detail

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/payments/get-payments-payment-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `paymentId` (double, required) — Payment ID

## Response

### 200

OK

- `code` (double, required)
- `data` (PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaMeta, required)

## Errors

### 404 Not Found Error

Example response

- `code` (double, required)
- `data` (PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaMeta, required)

## Types

### PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, required)

### PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

## Examples

**Response**

```json
{
  "code": 1.1,
  "data": {
    "allowedOperations": [
      1.1
    ],
    "allowedStatuses": [
      1.1
    ],
    "appliedStatus": 1.1,
    "channelId": "string",
    "channelName": "string",
    "createdAt": 1.1,
    "customerId": "string",
    "customerName": "string",
    "details": {
      "memo": "string"
    },
    "externalCustomerId": "string",
    "externalId": "string",
    "fees": [
      1.1
    ],
    "fundingStatus": 1.1,
    "id": 1.1,
    "lineItems": [
      {
        "amount": {
          "code": "string",
          "value": "string"
        },
        "invoiceId": 1.1,
        "invoiceNumber": "string",
        "paymentId": 1.1
      }
    ],
    "moduleData": {
      "transactions": [
        {
          "memo": "string",
          "type": "string"
        }
      ]
    },
    "moduleName": "string",
    "payerCustomerId": "string",
    "payerName": "string",
    "processingStatus": 1.1,
    "storeHash": "string",
    "total": {
      "code": "string",
      "value": "string"
    },
    "updatedAt": 1.1
  },
  "meta": {
    "message": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```